﻿SET SQL DIALECT 3;
SET NAMES NONE;

CREATE TABLE RESEARCH_DIVISION (
    ID         INTEGER NOT NULL,
    FINANCING  DOUBLE PRECISION,
    PURPOSE    VARCHAR(250),
    SPONSORS   VARCHAR(250),
    AWARDS     VARCHAR(250)
);

ALTER TABLE RESEARCH_DIVISION ADD PRIMARY KEY (ID);

--------------------------------------------------------

SET SQL DIALECT 3;
SET NAMES NONE;

CREATE TABLE LABORATORY (
    ID             INTEGER NOT NULL,
    WORKING_HOURS  VARCHAR(100)
);

ALTER TABLE LABORATORY ADD PRIMARY KEY (ID);

--------------------------------------------------------

SET SQL DIALECT 3;
SET NAMES NONE;

CREATE TABLE AC_GROUP (
    ID       INTEGER NOT NULL,
    CURATOR  INTEGER,
    SHIFT    INTEGER
);

ALTER TABLE AC_GROUP ADD PRIMARY KEY (ID);

--------------------------------------------------------

SET SQL DIALECT 3;
SET NAMES NONE;

CREATE TABLE DEPARTMENT (
    ID                 INTEGER NOT NULL,
    SPECIALIZATION     VARCHAR(100),
    MAX_POSTGRADUATES  INTEGER
);

ALTER TABLE DEPARTMENT ADD PRIMARY KEY (ID);

--------------------------------------------------------

SET SQL DIALECT 3;
SET NAMES NONE;

CREATE TABLE FACULTY (
    ID            INTEGER NOT NULL,
    SPECIALITIES  VARCHAR(300),
    BUILDING      INTEGER
);

ALTER TABLE FACULTY ADD PRIMARY KEY (ID);

--------------------------------------------------------

SET SQL DIALECT 3;
SET NAMES NONE;

CREATE TABLE STREAM (
    ID        INTEGER NOT NULL,
    LECTIONS  FLOAT,
    PRACTIC   FLOAT
);

ALTER TABLE STREAM ADD PRIMARY KEY (ID);
