﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UniversalDataAccess.BusinessEntities
{
    [Serializable]
    public class Department : EducationalDivision
    {
        public String SPECIALIZATION { get; set; }
        public Int32 MAX_POSTGRADUATES { get; set; }

        public Department() {}

        public Department(string dataBasebName, 
            Int32 id,
            string parent_id,
            Int32 class_id,
            String name,
            string ext_id,
            string boss_Id, 
            DateTime dateCreated, 
            String description, 
            String spec,
            Int32 maxPotsg)
            : base(dataBasebName,id, parent_id, class_id, name, ext_id, boss_Id, dateCreated, description)
        {
            SPECIALIZATION = spec;
            MAX_POSTGRADUATES = maxPotsg;
        }
    }
}
