﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UniversalDataAccess.BusinessEntities
{
    [Serializable]
    public class Division: TObject
    {
        public string BOSS_ID { get; set; }
        public string BOSS_NAME { get; set; }
        public DateTime DATE_CREATED { get; set; }
        public string DESCRIPTION { get; set; }

        public Division()
        {

        }

        public Division(string dataBasebName,
            int id,
            string parent_id,
            int class_id,
            string name,
            string ext_id,
            string boss_Id,
            DateTime dateCreated,
            string description
            )
            : base(dataBasebName, id, parent_id, class_id, name, ext_id)
        {
            BOSS_ID = boss_Id;
            DATE_CREATED = dateCreated;
            DESCRIPTION = description;
        }      
       
    }
}
