﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UniversalDataAccess.BusinessEntities
{
    [Serializable]
    public class OrganizationalDivision : Division
    {
        public string SLOGAN { get; set; }
        public string EMAIL { get; set; }

        public OrganizationalDivision()
        {

        }

        public OrganizationalDivision(string dataBasebName,
            int id,
            string parent_id,
            int class_id,
            string name,
            string ext_id,
            string boss_Id,
            DateTime dateCreated,
            string description,
            string slogan,
            string email
            )
            : base(dataBasebName, id, parent_id, class_id, name, ext_id, boss_Id, dateCreated, description)
        {
            SLOGAN = slogan;
            EMAIL = email;
        }      
       
    }
}
