﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UniversalDataAccess.BusinessEntities
{
    [Serializable]
    public class ResearchDivision : Division
    {
        public Decimal FINANCING { get; set; }
        public String PURPOSE { get; set; }
        public String SPONSORS { get; set; }
        public String AWARDS { get; set; }

        public ResearchDivision() {}

        public ResearchDivision(string dataBasebName, 
            Int32 id,
            string parent_id,
            Int32 class_id,
            String name,
            string ext_id,
            string boss_id, 
            DateTime dateCreated,
            String description,
            Decimal financing, 
            String purpose,
            String sponsors,
            String awards)
            : base(dataBasebName, id, parent_id,  class_id,  name,  ext_id, boss_id, dateCreated, description)
        {
            FINANCING = financing;
            PURPOSE = purpose;
            SPONSORS = sponsors;
            AWARDS = awards;
        }
    }
}
