﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using UniversalDataAccess.BusinessEntities;
using UniversalDataAccess;
using System.Configuration;
using UniversalDataAccess.DataAccess;

namespace WebApplication1
{
    /// <summary>
    /// Summary description for FacultiesLogicService
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    // [System.Web.Script.Services.ScriptService]
    public class FacultiesLogicService : System.Web.Services.WebService
    {

        [WebMethod]
        public string HelloWorld()
        {
            return "Hello World";
        }

        #region Select / Insert / Update /Delete Faculty.

        [WebMethod]
        public Faculty SelectFaculty_By_DataBase_And_Id(string databaseName, int id)
        {
            try
            {
                FacultyDataAccess dataAccess = new FacultyDataAccess(databaseName,
                    ConfigurationManager.ConnectionStrings[databaseName].ConnectionString, false);

                return dataAccess.SelectFacultyBy_Id(id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public List<Faculty> SelectFacultyListByDataBaseName(string dataBaseName)
        {
            try
            {
                FacultyDataAccess e = new FacultyDataAccess(dataBaseName,
                    ConfigurationManager.ConnectionStrings[dataBaseName].ConnectionString, false);

                return e.SelectFacultiesList();
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void InsertFaculty(Faculty faculty)
        {
            try
            {
                FacultyDataAccess e = new FacultyDataAccess(faculty.DataBaseName,
                    ConfigurationManager.ConnectionStrings[faculty.DataBaseName].ConnectionString, false);

                int new_Id = -1;
                e.InsertFaculty(faculty, ref new_Id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void UpdateFaculty(Faculty faculty)
        {
            try
            {
                FacultyDataAccess e = new FacultyDataAccess(faculty.DataBaseName,
                    ConfigurationManager.ConnectionStrings[faculty.DataBaseName].ConnectionString, false);

                e.UpdateFaculty(faculty);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void DeleteFaculty(Faculty faculty)
        {
            try
            {
                FacultyDataAccess e = new FacultyDataAccess(faculty.DataBaseName,
                    ConfigurationManager.ConnectionStrings[faculty.DataBaseName].ConnectionString, false);

                e.DeleteFaculty(faculty);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        #endregion 
    }
}
