﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using UniversalDataAccess.BusinessEntities;
using UniversalDataAccess;
using System.Configuration;
using UniversalDataAccess.DataAccess;

namespace WebApplication1
{
    /// <summary>
    /// Summary description for GroupsLogicService
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    // [System.Web.Script.Services.ScriptService]
    public class GroupsLogicService : System.Web.Services.WebService
    {

        [WebMethod]
        public string HelloWorld()
        {
            return "Hello World";
        }

        #region Select / Insert / Update /Delete Group.

        [WebMethod]
        public Group SelectGroup_By_DataBase_And_Id(string databaseName, int id)
        {
            try
            {
                GroupDataAccess dataAccess = new GroupDataAccess(databaseName,
                    ConfigurationManager.ConnectionStrings[databaseName].ConnectionString, false);

                return dataAccess.SelectGroupBy_Id(id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public List<Group> SelectGroupListByDataBaseName(string dataBaseName)
        {
            try
            {
                GroupDataAccess e = new GroupDataAccess(dataBaseName,
                    ConfigurationManager.ConnectionStrings[dataBaseName].ConnectionString, false);

                return e.SelectGroupsList();
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void InsertGroup(Group group)
        {
            try
            {
                GroupDataAccess e = new GroupDataAccess(group.DataBaseName,
                    ConfigurationManager.ConnectionStrings[group.DataBaseName].ConnectionString, false);

                int new_Id = -1;
                e.InsertGroup(group, ref new_Id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void UpdateGroup(Group group)
        {
            try
            {
                GroupDataAccess e = new GroupDataAccess(group.DataBaseName,
                    ConfigurationManager.ConnectionStrings[group.DataBaseName].ConnectionString, false);

                e.UpdateGroup(group);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void DeleteGroup(Group group)
        {
            try
            {
                GroupDataAccess e = new GroupDataAccess(group.DataBaseName,
                    ConfigurationManager.ConnectionStrings[group.DataBaseName].ConnectionString, false);

                e.DeleteGroup(group);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        #endregion 
    }
}
