﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using UniversalDataAccess.BusinessEntities;
using UniversalDataAccess;
using System.Configuration;
using UniversalDataAccess.DataAccess;

namespace WebApplication1
{
    /// <summary>
    /// Summary description for LaboratoriesLogicService
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    // [System.Web.Script.Services.ScriptService]
    public class LaboratoriesLogicService : System.Web.Services.WebService
    {

        [WebMethod]
        public string HelloWorld()
        {
            return "Hello World";
        }

        #region Select / Insert / Update /Delete Laboratory.

        [WebMethod]
        public Laboratory SelectLaboratory_By_DataBase_And_Id(string databaseName, int id)
        {
            try
            {
                LaboratoriesDataAccess dataAccess = new LaboratoriesDataAccess(databaseName,
                    ConfigurationManager.ConnectionStrings[databaseName].ConnectionString, false);

                return dataAccess.SelectLaboratoryBy_Id(id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public List<Laboratory> SelectLaboratoryListByDataBaseName(string dataBaseName)
        {
            try
            {
                LaboratoriesDataAccess e = new LaboratoriesDataAccess(dataBaseName,
                    ConfigurationManager.ConnectionStrings[dataBaseName].ConnectionString, false);

                return e.SelectLaboratoriesList();
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void InsertLaboratory(Laboratory laboratory)
        {
            try
            {
                LaboratoriesDataAccess e = new LaboratoriesDataAccess(laboratory.DataBaseName,
                    ConfigurationManager.ConnectionStrings[laboratory.DataBaseName].ConnectionString, false);

                int new_Id = -1;
                e.InsertLaboratory(laboratory, ref new_Id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void UpdateLaboratory(Laboratory laboratory)
        {
            try
            {
                LaboratoriesDataAccess e = new LaboratoriesDataAccess(laboratory.DataBaseName,
                    ConfigurationManager.ConnectionStrings[laboratory.DataBaseName].ConnectionString, false);

                e.UpdateLaboratory(laboratory);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void DeleteLaboratory(Laboratory laboratory)
        {
            try
            {
                LaboratoriesDataAccess e = new LaboratoriesDataAccess(laboratory.DataBaseName,
                    ConfigurationManager.ConnectionStrings[laboratory.DataBaseName].ConnectionString, false);

                e.DeleteLaboratory(laboratory);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        #endregion 
    }
}
