﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using UniversalDataAccess.BusinessEntities;
using UniversalDataAccess;
using System.Configuration;

namespace WebApplication1
{
    /// <summary>
    /// Summary description for OrganizationalDivisionsLogicService
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    // [System.Web.Script.Services.ScriptService]
    public class OrganizationalDivisionsLogicService : System.Web.Services.WebService
    {

        [WebMethod]
        public string HelloWorld()
        {
            return "Hello World";
        }

        #region Select / Insert / Update /Delete OrganizationalDivision.

        [WebMethod]
        public OrganizationalDivision SelectOrganizationalDivision_By_DataBase_And_Id(string databaseName, int id)
        {
            try
            {
                OrganizationalDivisionsDataAccess dataAccess = null;

                dataAccess = new OrganizationalDivisionsDataAccess(databaseName, ConfigurationManager.ConnectionStrings[databaseName].ConnectionString, false);
                return dataAccess.SelectOrganizationalDivisionBy_Id(id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public List<OrganizationalDivision> SelectOrganizationalDivisionListByDataBaseName(string dataBaseName)
        {
            try
            {
                OrganizationalDivisionsDataAccess e = new OrganizationalDivisionsDataAccess(dataBaseName, ConfigurationManager.ConnectionStrings[dataBaseName].ConnectionString, false);

                return e.SelectOrganizationalDivisionsList();
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void InsertOrganizationalDivision(OrganizationalDivision division)
        {
            try
            {
                OrganizationalDivisionsDataAccess e = new OrganizationalDivisionsDataAccess(division.DataBaseName,
                    ConfigurationManager.ConnectionStrings[division.DataBaseName].ConnectionString, false);

                int new_Id = -1;
                e.InsertOrganizationalDivision(division, ref new_Id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void UpdateOrganizationalDivision(OrganizationalDivision division)
        {
            try
            {
                OrganizationalDivisionsDataAccess e = new OrganizationalDivisionsDataAccess(division.DataBaseName,
                    ConfigurationManager.ConnectionStrings[division.DataBaseName].ConnectionString, false);

                e.UpdateOrganizationalDivision(division);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void DeleteOrganizationalDivision(OrganizationalDivision division)
        {
            try
            {
                OrganizationalDivisionsDataAccess e = new OrganizationalDivisionsDataAccess(division.DataBaseName,
                    ConfigurationManager.ConnectionStrings[division.DataBaseName].ConnectionString, false);

                e.DeleteOrganizationalDivision(division);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        #endregion   
    }
}
