﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using UniversalDataAccess.BusinessEntities;
using UniversalDataAccess;
using System.Configuration;

namespace WebApplication1
{
    /// <summary>
    /// Summary description for ResearchDivisionsLogicService
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    // [System.Web.Script.Services.ScriptService]
    public class ResearchDivisionsLogicService : System.Web.Services.WebService
    {

        [WebMethod]
        public string HelloWorld()
        {
            return "Hello World";
        }

        #region Select / Insert / Update /Delete ResearchDivision.

        [WebMethod]
        public ResearchDivision SelectResearchDivision_By_DataBase_And_Id(string databaseName, int id)
        {
            try
            {
                ResearchDivisionsDataAccess dataAccess = new ResearchDivisionsDataAccess(databaseName, 
                    ConfigurationManager.ConnectionStrings[databaseName].ConnectionString, false);

                return dataAccess.SelectResearchDivisionBy_Id(id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public List<ResearchDivision> SelectResearchDivisionListByDataBaseName(string dataBaseName)
        {
            try
            {
                ResearchDivisionsDataAccess e = new ResearchDivisionsDataAccess(dataBaseName, 
                    ConfigurationManager.ConnectionStrings[dataBaseName].ConnectionString, false);

                return e.SelectResearchDivisionsList();
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void InsertResearchDivision(ResearchDivision division)
        {
            try
            {
                ResearchDivisionsDataAccess e = new ResearchDivisionsDataAccess(division.DataBaseName,
                    ConfigurationManager.ConnectionStrings[division.DataBaseName].ConnectionString, false);

                int new_Id = -1;
                e.InsertResearchDivision(division, ref new_Id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void UpdateResearchDivision(ResearchDivision division)
        {
            try
            {
                ResearchDivisionsDataAccess e = new ResearchDivisionsDataAccess(division.DataBaseName,
                    ConfigurationManager.ConnectionStrings[division.DataBaseName].ConnectionString, false);

                e.UpdateResearchDivision(division);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void DeleteResearchDivision(ResearchDivision division)
        {
            try
            {
                ResearchDivisionsDataAccess e = new ResearchDivisionsDataAccess(division.DataBaseName,
                    ConfigurationManager.ConnectionStrings[division.DataBaseName].ConnectionString, false);

                e.DeleteResearchDivision(division);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        #endregion  
    }
}
