﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using UniversalDataAccess.BusinessEntities;
using UniversalDataAccess;
using System.Configuration;

namespace WebApplication1
{
    /// <summary>
    /// Summary description for RestDivisionLogicService
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    // [System.Web.Script.Services.ScriptService]
    public class RestDivisionLogicService : System.Web.Services.WebService
    {

        [WebMethod]
        public string HelloWorld()
        {
            return "Hello World";
        }
        #region Select / Insert / Update /Delete RestDivision.

        [WebMethod]
        public RestDivision SelectRestDivision_By_DataBase_And_Id(string databaseName, int id)
        {
            try
            {
                RestDivisionDataAccess dataAccess = null;

                dataAccess = new RestDivisionDataAccess(databaseName, ConfigurationManager.ConnectionStrings[databaseName].ConnectionString, false);
                return dataAccess.SelectRestDivisionBy_Id(id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public List<RestDivision> SelectRestDivisionListByDataBaseName(string dataBaseName)
        {
            try
            {
                RestDivisionDataAccess e = new RestDivisionDataAccess(dataBaseName, ConfigurationManager.ConnectionStrings[dataBaseName].ConnectionString, false);

                return e.SelectRestDivisionsList();
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void InsertRestDivision(RestDivision division)
        {
            try
            {
                RestDivisionDataAccess e = new RestDivisionDataAccess(division.DataBaseName,
                    ConfigurationManager.ConnectionStrings[division.DataBaseName].ConnectionString, false);

                int new_Id = -1;
                e.InsertRestDivision(division, ref new_Id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void UpdateRestDivision(RestDivision division)
        {
            try
            {
                RestDivisionDataAccess e = new RestDivisionDataAccess(division.DataBaseName,
                    ConfigurationManager.ConnectionStrings[division.DataBaseName].ConnectionString, false);

                e.UpdateRestDivision(division);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void DeleteRestDivision(RestDivision division)
        {
            try
            {
                RestDivisionDataAccess e = new RestDivisionDataAccess(division.DataBaseName,
                    ConfigurationManager.ConnectionStrings[division.DataBaseName].ConnectionString, false);

                e.DeleteRestDivision(division);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        #endregion   
    }
}
