﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ClientAppViaWebService.DBAdministration
{
    public partial class DocumentationAdministrationForm : Form
    {
        private string databaseName;
        public DocumentationAdministrationForm(string _databaseName)
        {
            InitializeComponent();
            databaseName = _databaseName;
            foreach (Panel p in this.Controls)
            {
                p.Cursor = Cursors.Hand;
                p.MouseHover += new EventHandler(p_MouseHover);
                p.MouseLeave += new EventHandler(p_MouseLeave);
            }
        }

        void p_MouseLeave(object sender, EventArgs e)
        {
            (sender as Panel).BorderStyle = BorderStyle.None;
        }

        void p_MouseHover(object sender, EventArgs e)
        {
            (sender as Panel).BorderStyle = BorderStyle.Fixed3D;
        }     

        private void pnlTObject_DoubleClick(object sender, EventArgs e)
        {
            TableAdministrationForm f = new TableAdministrationForm(databaseName, "TObjects");
            f.ShowDialog(this);
        }


        void pnlEducDocs_DoubleClick(object sender, System.EventArgs e)
        {
           
        }

        void pnlAccauntDocs_DoubleClick(object sender, System.EventArgs e)
        {
          
        }

        void pnlDocumentation_DoubleClick(object sender, System.EventArgs e)
        {
           
        }

        void pnlLegalDocs_DoubleClick(object sender, System.EventArgs e)
        {
          
        }


        
  
      
    }
}
