﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ClientAppViaWebService.DBAdministration
{
    public partial class PersonsAdministrationForm : Form
    {
        private string databaseName;
        public PersonsAdministrationForm(string _databaseName)
        {
            InitializeComponent();
            databaseName = _databaseName;
            foreach (Panel p in this.Controls)
            {
                p.Cursor = Cursors.Hand;
                p.MouseHover += new EventHandler(p_MouseHover);
                p.MouseLeave += new EventHandler(p_MouseLeave);
            }
        }

        void p_MouseLeave(object sender, EventArgs e)
        {
            (sender as Panel).BorderStyle = BorderStyle.None;
        }

        void p_MouseHover(object sender, EventArgs e)
        {
            (sender as Panel).BorderStyle = BorderStyle.Fixed3D;
        } 

        private void pnlTObject_DoubleClick(object sender, EventArgs e)
        {
            TableAdministrationForm f = new TableAdministrationForm(databaseName, "TObjects");
            f.ShowDialog(this);
        }
        
        void pnlSupportEmployee_DoubleClick(object sender, System.EventArgs e)
        {
            
        }

        void pnlEmployee_DoubleClick(object sender, System.EventArgs e)
        {
            
        }

        void pnlStudent_DoubleClick(object sender, System.EventArgs e)
        {
            
        }

        void pnlApplicant_DoubleClick(object sender, System.EventArgs e)
        {
            
        }

        void pnlAspirant_DoubleClick(object sender, System.EventArgs e)
        {
            
        }

        void pnlScientificEmployee_DoubleClick(object sender, System.EventArgs e)
        {
            
        }

        void pnlPerson_DoubleClick(object sender, System.EventArgs e)
        {
            
        }

        void pnlLerner_DoubleClick(object sender, System.EventArgs e)
        {
            
        }
  
      
    }
}
