﻿
USE [SqlServerTest]
GO
/****** Object:  Table [dbo].[RESEARCH_DIVISION]    Script Date: 10/19/2009 22:55:27 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[RESEARCH_DIVISION](
	[ID] [int] NOT NULL,
	[FINANCING] [decimal](18, 0) NULL,
	[PURPOSE] [varchar](250) COLLATE Cyrillic_General_CI_AS NULL,
	[SPONSORS] [varchar](250) COLLATE Cyrillic_General_CI_AS NULL,
	[AWARDS] [varchar](250) COLLATE Cyrillic_General_CI_AS NULL,
 CONSTRAINT [PK_RESEARCH_DIVISION] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF

----------------------------------------------------------------------------------------------

USE [SqlServerTest]
GO
/****** Object:  Table [dbo].[LABORATORY]    Script Date: 10/19/2009 23:01:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[LABORATORY](
	[ID] [int] NOT NULL,
	[WORKING_HOURS] [varchar](100) COLLATE Cyrillic_General_CI_AS NULL,
 CONSTRAINT [PK_LABORATORY] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF

----------------------------------------------------------------------------------------------

USE [SqlServerTest]
GO
/****** Object:  Table [dbo].[AC_GROUP]    Script Date: 10/19/2009 23:05:48 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AC_GROUP](
	[ID] [int] NOT NULL,
	[CURATOR] [int] NULL,
	[SHIFT] [int] NULL,
 CONSTRAINT [PK_AC_GROUP] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

----------------------------------------------------------------------------------------------

USE [SqlServerTest]
GO
/****** Object:  Table [dbo].[DEPARTMENT]    Script Date: 10/19/2009 23:08:03 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[DEPARTMENT](
	[ID] [int] NOT NULL,
	[SPECIALIZATION] [varchar](100) COLLATE Cyrillic_General_CI_AS NULL,
	[MAX_POSTGRADUATES] [int] NULL,
 CONSTRAINT [PK_DEPARTMENT] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF

----------------------------------------------------------------------------------------------

USE [SqlServerTest]
GO
/****** Object:  Table [dbo].[FACULTY]    Script Date: 10/19/2009 23:11:02 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[FACULTY](
	[ID] [int] NOT NULL,
	[SPECIALITIES] [varchar](300) COLLATE Cyrillic_General_CI_AS NULL,
	[BUILDING] [int] NULL,
 CONSTRAINT [PK_FACULTY] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF

----------------------------------------------------------------------------------------------

USE [SqlServerTest]
GO
/****** Object:  Table [dbo].[STREAM]    Script Date: 10/19/2009 23:13:01 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[STREAM](
	[ID] [int] NOT NULL,
	[LECTIONS] [float] NULL,
	[PRACTIC] [float] NULL,
 CONSTRAINT [PK_STREAM] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
