﻿USE [SqlServerTest]
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TLEGAL_DOCUMENTS](
	[ID] [int] NOT NULL,
	[EFFECT_DURATION] [varchar](100) COLLATE Cyrillic_General_CI_AS NULL,
	[DATA] [varchar](4000) COLLATE Cyrillic_General_CI_AS NULL,
	
 CONSTRAINT [PK_TLEGAL_DOCUMENTS] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF

---------------------
USE [SqlServerTest]
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TACCOUNT_DOCUMENTS](
	[ID] [int] NOT NULL,
	[ACCOUNTING_SUBJECT] [varchar](100) COLLATE Cyrillic_General_CI_AS NULL,
	[ACCOUNT_CRITERION] [varchar](100) COLLATE Cyrillic_General_CI_AS NULL,
 CONSTRAINT [PK_TACCOUNT_DOCUMENTS] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF

---------------------
USE [SqlServerTest]
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TEDUCATIONAL_DOCUMENTS](
	[ID] [int] NOT NULL,
	[STUDENT_ID] [int] NULL,	
 CONSTRAINT [PK_TEDUCATIONAL_DOCUMENTS] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF

--------------------------
USE [SqlServerTest]
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[TDOCUMENTATION](
	[ID] [int] NOT NULL,
	[SIGNATURE_OWNER_ID] [int] NULL,
	[PUBLISHING_ORGANIZATION] [varchar](100) COLLATE Cyrillic_General_CI_AS NULL,
 CONSTRAINT [PK_TDOCUMENTATION] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF