﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UniversalDataAccess.BusinessEntities
{
    [Serializable]
    public class Applicant : Learner
    {
        public Int32 ENTRANCE_YEAR { get; set; }
        public String HIGH_SCHOOL { get; set; }

        public Applicant() { }

        public Applicant(String dataBasebName,
            Int32 id,
            String parent_id,
            Int32 class_id,
            String name,
            String ext_id,
            String first_name,
            String last_name,
            String address,
            DateTime birth_date,
        Int32 faculty_id,
        Int32 entrance_year,
        String high_school
            )
            : base(dataBasebName, id, parent_id, class_id, name, ext_id, first_name, last_name, address, birth_date, faculty_id)
        {
            ENTRANCE_YEAR = entrance_year;
            HIGH_SCHOOL = high_school;
        }
    }
}