﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UniversalDataAccess.BusinessEntities
{
    [Serializable]
    public class Building : Location
    {
        public String ADDRESS { get; set; }
        public Int32 ROOM_AMOUNT { get; set; }
        public Int32 FLOOR_AMOUNT { get; set; }

        public Building() {}

        public Building(String dataBasebName,
            Int32 id,
            String parent_id,
            Int32 class_id,
            String name,
            String ext_id,
            Single sqr,
            String resp_person,
            String addr,
            Int32 r_amount,
            Int32 f_amount
            )
            : base(dataBasebName, id, parent_id, class_id, name, ext_id, sqr, resp_person)
        {
            ADDRESS = addr;
            ROOM_AMOUNT = r_amount;
            FLOOR_AMOUNT = f_amount;
        }      
    }
}
