﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UniversalDataAccess.BusinessEntities
{
    [Serializable]
    public class Faculty : EducationalDivision
    {
        public String SPECIALITIES { get; set; }
        public String BUILDING { get; set; }
        public String BUILDING_NAME { get; set; }

        public Faculty() {}

        public Faculty(string dataBasebName, 
            Int32 id,
            string parent_id, 
            Int32 class_id,
            String name,
            string ext_id,
            string boss_Id,
            DateTime dateCreated,
            String description,
            String spec,
            String building)
            : base(dataBasebName,id, parent_id, class_id, name, ext_id, boss_Id, dateCreated, description)
        {
            SPECIALITIES = spec;
            BUILDING = building;
        }
    }
}
