﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UniversalDataAccess.BusinessEntities
{
    [Serializable]
    public class Group : EducationalDivision
    {
        public String CURATOR { get; set; }
        public String SHIFT { get; set; }
        public String CURATOR_NAME { get; set; }

        public Group() {}
        public Group(string dataBasebName, 
            Int32 id,
            string parent_id,
            Int32 class_id,
            String name,
            string ext_id,
            string boss_Id, 
            DateTime dateCreated, 
            String description, 
            String curator,
            String shift)
            : base(dataBasebName, id, parent_id,  class_id,  name,  ext_id, boss_Id, dateCreated, description)
        {
            CURATOR = curator;
            SHIFT = shift;
        }
    }
}
