﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UniversalDataAccess.BusinessEntities
{
    [Serializable]
    public class Laboratory : ResearchDivision
    {
        public String WORKING_HOURS { get; set; }
        
        public Laboratory() {}

        public Laboratory(string dataBasebName,
            Int32 id,
            string parent_id,
            Int32 class_id,
            String name,
            string ext_id,
            string boss_id, 
            DateTime dateCreated, 
            String description,
            Decimal financing,
            String purpose,
            String sponsors,
            String awards,
            String workHrs)
            : base(dataBasebName, id, parent_id, class_id, name, ext_id, boss_id, 
            dateCreated, description, financing, purpose, sponsors, awards)
        {
            WORKING_HOURS = workHrs;
        }
    }
}
