﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UniversalDataAccess.BusinessEntities
{
    [Serializable]
    public class ManagingDivision : Division
    {
        public string SUBSTITUTE_ID { get; set; }
        public string SUBORDERED_DIVISION_ID { get; set; }

        public ManagingDivision()
        {

        }

        public ManagingDivision(string dataBasebName,
            int id,
            string parent_id,
            int class_id,
            string name,
            string ext_id,
            string boss_Id,
            DateTime dateCreated,
            string description,
            string substituteId,
            string suborderedDivisionId
            )
            : base(dataBasebName, id, parent_id, class_id, name, ext_id, boss_Id, dateCreated, description)
        {
            SUBSTITUTE_ID = substituteId;
            SUBORDERED_DIVISION_ID = suborderedDivisionId;
        }      
       
    }
}
