﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UniversalDataAccess.BusinessEntities
{
    [Serializable]
    public class Person : TObject
    {
        public String FIRST_NAME { get; set; }
        public String LAST_NAME { get; set; }
        public String ADDRESS { get; set; }
        public DateTime BIRTH_DATE { get; set; }

        public Person() {}

        public Person(String dataBasebName,
            Int32 id,
            String parent_id,
            Int32 class_id,
            String name,
            String ext_id,
            String first_name,
            String last_name,
            String address,
            DateTime birth_date
            )
            : base(dataBasebName, id, parent_id, class_id, name, ext_id)
        {
            FIRST_NAME = first_name;
            LAST_NAME = last_name;
            ADDRESS = address;
            BIRTH_DATE = birth_date;
        }     
    }
}
