﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UniversalDataAccess.BusinessEntities
{
    [Serializable]
    public class Section : OrganizationalDivision
    {
        public string LOCATION_ID { get; set; }
        public string ROOM_ID { get; set; }
        public string SCHEDULE { get; set; }

        public Section()
        {

        }

        public Section(string dataBasebName,
            int id,
            string parent_id,
            int class_id,
            string name,
            string ext_id,
            string boss_Id,
            DateTime dateCreated,
            string description,
            string slogan,
            string email,
            string locationId,
            string roomId,
             string schedule
            )
            : base(dataBasebName, id, parent_id, class_id, name, ext_id, boss_Id, dateCreated, description, slogan, email)
        {
            LOCATION_ID = locationId;
            ROOM_ID = roomId;
            SCHEDULE = schedule;
        }      
       
    }
}
