﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UniversalDataAccess.BusinessEntities
{
    [Serializable]
    public class Stream : EducationalDivision
    {
        public Double LECTIONS { get; set; }
        public Double PRACTIC { get; set; }

        public Stream() {}

        public Stream(string dataBasebName, 
            Int32 id,
            string parent_id, 
            Int32 class_id, 
            String name,
            string ext_id,
            string boss_Id,
            DateTime dateCreated, 
            String description,
            Double lect,
            Double pract)
            : base( dataBasebName, id, parent_id, class_id, name, ext_id, boss_Id, dateCreated, description)
        {
            LECTIONS = lect;
            PRACTIC = pract;
        }
    }
}
