﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using UniversalDataAccess.BusinessEntities;
using UniversalDataAccess;
using System.Configuration;
using UniversalDataAccess.DataAccess;

namespace WebApplication1
{
    /// <summary>
    /// Summary description for DepartmentsLogicService
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    // [System.Web.Script.Services.ScriptService]
    public class DepartmentsLogicService : System.Web.Services.WebService
    {

        [WebMethod]
        public string HelloWorld()
        {
            return "Hello World";
        }

        #region Select / Insert / Update /Delete Department.

        [WebMethod]
        public Department SelectDepartment_By_DataBase_And_Id(string databaseName, int id)
        {
            try
            {
                DepartmentsDataAccess dataAccess = new DepartmentsDataAccess(databaseName,
                    ConfigurationManager.ConnectionStrings[databaseName].ConnectionString, false);

                return dataAccess.SelectDepartmentBy_Id(id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public List<Department> SelectDepartmentListByDataBaseName(string dataBaseName)
        {
            try
            {
                DepartmentsDataAccess e = new DepartmentsDataAccess(dataBaseName,
                    ConfigurationManager.ConnectionStrings[dataBaseName].ConnectionString, false);

                return e.SelectDepartmentsList();
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void InsertDepartment(Department department)
        {
            try
            {
                DepartmentsDataAccess e = new DepartmentsDataAccess(department.DataBaseName,
                    ConfigurationManager.ConnectionStrings[department.DataBaseName].ConnectionString, false);

                int new_Id = -1;
                e.InsertDepartment(department, ref new_Id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void UpdateDepartment(Department department)
        {
            try
            {
                DepartmentsDataAccess e = new DepartmentsDataAccess(department.DataBaseName,
                    ConfigurationManager.ConnectionStrings[department.DataBaseName].ConnectionString, false);

                e.UpdateDepartment(department);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void DeleteDepartment(Department department)
        {
            try
            {
                DepartmentsDataAccess e = new DepartmentsDataAccess(department.DataBaseName,
                    ConfigurationManager.ConnectionStrings[department.DataBaseName].ConnectionString, false);

                e.DeleteDepartment(department);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        #endregion 
    }
}
