﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using UniversalDataAccess.BusinessEntities;
using UniversalDataAccess;
using System.Configuration;
using UniversalDataAccess.DataAccess;

namespace WebApplication1
{
    /// <summary>
    /// Summary description for EducationalDivisionsLogicSevice
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    // [System.Web.Script.Services.ScriptService]
    public class EducationalDivisionsLogicSevice : System.Web.Services.WebService
    {

        [WebMethod]
        public string HelloWorld()
        {
            return "Hello World";
        }

        #region Select / Insert / Update /Delete EducationalDivision.

        [WebMethod]
        public EducationalDivision SelectEducationalDivision_By_DataBase_And_Id(string databaseName, int id)
        {
            try
            {
                EducationalDivisionsDataAccess dataAccess = new EducationalDivisionsDataAccess(databaseName,
                    ConfigurationManager.ConnectionStrings[databaseName].ConnectionString, false);

                return dataAccess.SelectEducationalDivisionBy_Id(id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public List<EducationalDivision> SelectEducationalDivisionListByDataBaseName(string dataBaseName)
        {
            try
            {
                EducationalDivisionsDataAccess e = new EducationalDivisionsDataAccess(dataBaseName,
                    ConfigurationManager.ConnectionStrings[dataBaseName].ConnectionString, false);

                return e.SelectEducationalDivisionsList();
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void InsertEducationalDivision(EducationalDivision division)
        {
            try
            {
                EducationalDivisionsDataAccess e = new EducationalDivisionsDataAccess(division.DataBaseName,
                    ConfigurationManager.ConnectionStrings[division.DataBaseName].ConnectionString, false);

                int new_Id = -1;
                e.InsertEducationalDivision(division, ref new_Id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void UpdateEducationalDivision(EducationalDivision division)
        {
            try
            {
                EducationalDivisionsDataAccess e = new EducationalDivisionsDataAccess(division.DataBaseName,
                    ConfigurationManager.ConnectionStrings[division.DataBaseName].ConnectionString, false);

                e.UpdateEducationalDivision(division);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void DeleteEducationalDivision(EducationalDivision division)
        {
            try
            {
                EducationalDivisionsDataAccess e = new EducationalDivisionsDataAccess(division.DataBaseName,
                    ConfigurationManager.ConnectionStrings[division.DataBaseName].ConnectionString, false);

                e.DeleteEducationalDivision(division);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        #endregion  
    }
}
