﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using UniversalDataAccess.BusinessEntities;
using UniversalDataAccess;
using System.Configuration;

namespace WebApplication1
{
    /// <summary>
    /// Summary description for LocationsLogicService
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    // [System.Web.Script.Services.ScriptService]
    public class LocationsLogicService : System.Web.Services.WebService
    {

        [WebMethod]
        public string HelloWorld()
        {
            return "Hello World";
        }

        #region Select / Insert / Update /Delete Division.

        [WebMethod]
        public Location SelectLocation_By_DataBase_And_Id(string databaseName, int id)
        {
            try
            {
                LocationsDataAccess dataAccess = null;


                dataAccess = new LocationsDataAccess(databaseName, ConfigurationManager.ConnectionStrings[databaseName].ConnectionString, false);
                return dataAccess.SelectLocationBy_Id(id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public List<Location> SelectLocationListByDataBaseName(string dataBaseName)
        {
            try
            {
                LocationsDataAccess e = new LocationsDataAccess(dataBaseName, ConfigurationManager.ConnectionStrings[dataBaseName].ConnectionString, false);

                return e.SelectLocationsList();
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void InsertLocation(Location location)
        {
            try
            {
                LocationsDataAccess e = new LocationsDataAccess(location.DataBaseName,
                    ConfigurationManager.ConnectionStrings[location.DataBaseName].ConnectionString, false);

                int new_Id = -1;
                e.InsertLocation(location, ref new_Id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void UpdateLocation(Location location)
        {
            try
            {
                LocationsDataAccess e = new LocationsDataAccess(location.DataBaseName,
                    ConfigurationManager.ConnectionStrings[location.DataBaseName].ConnectionString, false);

                e.UpdateLocation(location);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void DeleteLocation(Location location)
        {
            try
            {
                LocationsDataAccess e = new LocationsDataAccess(location.DataBaseName,
                    ConfigurationManager.ConnectionStrings[location.DataBaseName].ConnectionString, false);

                e.DeleteLocation(location);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        #endregion              

    }
}
