﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using UniversalDataAccess;
using System.Configuration;
using UniversalDataAccess.BusinessEntities;

namespace WebApplication1
{
    /// <summary>
    /// Summary description for ServiceDivisionLogicService
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    // [System.Web.Script.Services.ScriptService]
    public class ServiceDivisionLogicService : System.Web.Services.WebService
    {

        [WebMethod]
        public string HelloWorld()
        {
            return "Hello World";
        }

        #region Select / Insert / Update /Delete ServiceDivision.

        [WebMethod]
        public ServiceDivision SelectServiceDivision_By_DataBase_And_Id(string databaseName, int id)
        {
            try
            {
                ServiceDivisionsDataAccess dataAccess = null;


                dataAccess = new ServiceDivisionsDataAccess(databaseName, ConfigurationManager.ConnectionStrings[databaseName].ConnectionString, false);
                return dataAccess.SelectServiceDivisionBy_Id(id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public List<ServiceDivision> SelectServiceDivisionListByDataBaseName(string dataBaseName)
        {
            try
            {
                ServiceDivisionsDataAccess e = new ServiceDivisionsDataAccess(dataBaseName, ConfigurationManager.ConnectionStrings[dataBaseName].ConnectionString, false);

                return e.SelectServiceDivisionsList();
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void InsertServiceDivision(ServiceDivision division)
        {
            try
            {
                ServiceDivisionsDataAccess e = new ServiceDivisionsDataAccess(division.DataBaseName,
                    ConfigurationManager.ConnectionStrings[division.DataBaseName].ConnectionString, false);

                int new_Id = -1;
                e.InsertServiceDivision(division, ref new_Id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void UpdateServiceDivision(ServiceDivision division)
        {
            try
            {
                ServiceDivisionsDataAccess e = new ServiceDivisionsDataAccess(division.DataBaseName,
                    ConfigurationManager.ConnectionStrings[division.DataBaseName].ConnectionString, false);

                e.UpdateServiceDivision(division);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void DeleteServiceDivision(ServiceDivision division)
        {
            try
            {
                ServiceDivisionsDataAccess e = new ServiceDivisionsDataAccess(division.DataBaseName,
                    ConfigurationManager.ConnectionStrings[division.DataBaseName].ConnectionString, false);

                e.DeleteServiceDivision(division);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        #endregion        
    }
}
