﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using UniversalDataAccess.BusinessEntities;
using UniversalDataAccess;
using System.Configuration;
using UniversalDataAccess.DataAccess;

namespace WebApplication1
{
    /// <summary>
    /// Summary description for StreamsLogicService
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    // [System.Web.Script.Services.ScriptService]
    public class StreamsLogicService : System.Web.Services.WebService
    {

        [WebMethod]
        public string HelloWorld()
        {
            return "Hello World";
        }

        #region Select / Insert / Update /Delete Stream.

        [WebMethod]
        public Stream SelectStream_By_DataBase_And_Id(string databaseName, int id)
        {
            try
            {
                StreamDataAccess dataAccess = new StreamDataAccess(databaseName,
                    ConfigurationManager.ConnectionStrings[databaseName].ConnectionString, false);

                return dataAccess.SelectStreamBy_Id(id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public List<Stream> SelectStreamListByDataBaseName(string dataBaseName)
        {
            try
            {
                StreamDataAccess e = new StreamDataAccess(dataBaseName,
                    ConfigurationManager.ConnectionStrings[dataBaseName].ConnectionString, false);

                return e.SelectStreamsList();
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void InsertStream(Stream stream)
        {
            try
            {
                StreamDataAccess e = new StreamDataAccess(stream.DataBaseName,
                    ConfigurationManager.ConnectionStrings[stream.DataBaseName].ConnectionString, false);

                int new_Id = -1;
                e.InsertStream(stream, ref new_Id);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void UpdateStream(Stream stream)
        {
            try
            {
                StreamDataAccess e = new StreamDataAccess(stream.DataBaseName,
                    ConfigurationManager.ConnectionStrings[stream.DataBaseName].ConnectionString, false);

                e.UpdateStream(stream);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        [WebMethod]
        public void DeleteStream(Stream stream)
        {
            try
            {
                StreamDataAccess e = new StreamDataAccess(stream.DataBaseName,
                    ConfigurationManager.ConnectionStrings[stream.DataBaseName].ConnectionString, false);

                e.DeleteStream(stream);
            }
            catch (Exception ex)
            {
                throw;
            }
        }

        #endregion 

    }
}
